//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 20-1 #1
//
// Displays the position of the E3 potentiameter on a chart.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define GRAPH_TITLE "Graphs"
#define GRAPH_SERIES1_TITLE "POT"
#define GRAPH_X_MIN "0"
#define GRAPH_Y_MIN "0"
#define GRAPH_X_MAX "200"
#define GRAPH_Y_MAX "6"

#include <graph_siow.h>

void main(void) {
   init_graph();
   
   int8 adc;
   
   setup_adc_ports(sAN4);
   setup_adc(ADC_CLOCK_DIV_64);
   set_adc_channel(4);
   
   while(TRUE) {
      delay_ms(1000);
      adc = read_adc();
      graph_point((float)adc*(5.0/255));
   }
   
   for(;;);
}
