//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 20-1 #2
//
// Displays a chart of the charge and discharge curve of a 10 uF capacitor.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>

#define GRAPH_TITLE "Graphs"
#define GRAPH_SERIES1_TITLE "POT"
#define GRAPH_X_MIN "0"
#define GRAPH_Y_MIN "0"
#define GRAPH_X_MAX "200"
#define GRAPH_Y_MAX "6"

#include <graph_siow.h>

void main(void) {
   init_graph();
   
   int8 adc;
   
   output_high(PIN_B4);
   delay_ms(20);
   output_float(PIN_B4);
   
   
   setup_adc_ports(sAN10);
   setup_adc(ADC_CLOCK_DIV_64);
   set_adc_channel(10);
   
   while(TRUE) {
      delay_ms(1);
      adc = read_adc();
      graph_point((float)adc*(5.0/255));
   }
   
   for(;;);
}
