//////////////////////////////////////////////////////////////////////////////
//
// "Embedded C Programming: Techniques and Applications of C and PIC MCUs"
// by Mark Siegusmund
//
// Exercise 20-1 #4
//
// Using the voltage divider on Pin C7, measures the voltage of a source with
// the highest accuracy possible.
//
//////////////////////////////////////////////////////////////////////////////

#include <e3.h>
#include <graph_siow.h>

void main(void) {
   init_graph();
   
   int8 adc;   
   
   setup_adc_ports(sAN9);
   setup_adc(ADC_CLOCK_DIV_64);
   set_adc_channel(9);
   
   while(TRUE) {
      delay_ms(1000);
      adc = read_adc();
      graph_point((float)adc*(5.0/255));
   }
   
   for(;;);
}
